# Code for the experiments in Section 4.2 on the Blur data formation for the non-sequential search space from Section 3.1.2
# Setup:
dataset=Blur
runs=100
noise=10
layers=2
cell_steps=5


#############################################
# Table 2

#H1  
for j in $(eval echo "{0..$runs}"); do
  for op in all-learnable all-good-learnable all-learnable-random all-good-learnable-random learnable_grad net; do
	python search_IP_NAS.py --channels 64 --cell_steps $cell_steps --dataset $dataset --layers $layers --operations $op --exp_name automl_non_seq_h1_$op_$layers$noise --noise_level 0.$noise --config_path configs/darts_1_BSDS_configspace.json
  done
done



# Code for the experiments in Section 4.2 on the downsampling data formation for the non-sequential search space from Section 3.1.2

# Setup:
dataset=Downsampling
runs=100
noise=10
layers=2
cell_steps=5


#############################################
# Table 2
#H1  
for j in $(eval echo "{0..$runs}"); do
  for op in all-learnable all-good-learnable all-learnable-random all-good-learnable-random learnable_grad net; do
	python search_IP_NAS.py --channels 64 --cell_steps $cell_steps --dataset $dataset --layers $layers --operations $op --exp_name automl_non_seq_h1_$op_$layers$noise --noise_level 0.$noise --config_path configs/darts_1_BSDS_configspace.json
  done
done
